Skip to Content

Get Customer

GET/customers/:customerId

Description

Retrieve a customer by id, including their current KYC status and deposit_addresses.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your API keyyes

Path Parameters

NameTypeDescriptionRequired
customerIdstringThe unique identifier of the customer.yes

Example Request

const response = await fetch('https://checkout-api.exodus-int.com/customers/cus_9z8y7x', {
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
  },
});

Response

SUCCESSFUL RESPONSE
{
  "id": "cus_9z8y7x",
  "object": "customer",
  "status": "active",
  "external_id": "STU-12345",
  "deposit_addresses": [
    { "address": "0x369aF2…9EDd", "chains": ["ethereum", "arbitrum", "base", "polygon"], "tokens": ["USDC", "USDT"] },
    { "address": "GEhVdAGr…vpJMq", "chains": ["solana"], "tokens": ["USDC", "USDT"] }
  ],
  "created_at": "2026-06-04T12:01:00Z"
}

Error Responses

NOT FOUND
{
  "error": {
    "type": "not_found",
    "message": "Customer not found"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help